> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Alerts

> List all the EDR alerts for a given connection.



## OpenAPI

````yaml get /edr/alerts
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /edr/alerts:
    get:
      tags:
        - edr
      summary: List Alerts
      description: List all the EDR alerts for a given connection.
      operationId: list_edr_alerts
      parameters:
        - name: sort
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                pattern: ^severity$|^severity\:asc$|^severity\:desc$
              - type: 'null'
            description: Sort by field
            title: Sort
          description: Sort by field
        - name: enableCursor
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              Enable cursor based pagination instead of default offset-based
              pagination
            default: false
            title: Enablecursor
          description: >-
            Enable cursor based pagination instead of default offset-based
            pagination
        - name: updatedSince
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: >-
              Datetime filter, only return items updated since this datetime.
              Example format: `2021-01-01T00:00:00+00:00`
            title: Updatedsince
          description: >-
            Datetime filter, only return items updated since this datetime.
            Example format: `2021-01-01T00:00:00+00:00`
          example: '2021-01-01T00:00:00+00:00'
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Limit size (page size)
            default: 100
            title: Limit
          description: Limit size (page size)
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Offset index (starting index of page)
            default: 0
            title: Offset
          description: Offset index (starting index of page)
        - name: excludeTotal
          in: query
          required: false
          schema:
            type: boolean
            description: Skips returning the total rows, total is set to null when true
            default: false
            title: Excludetotal
          description: Skips returning the total rows, total is set to null when true
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Skip token to continue from the last item in the previous page
            title: Cursor
          description: Skip token to continue from the last item in the previous page
        - name: device_id
          in: query
          required: false
          schema:
            type: string
            title: Device Id
        - name: severity
          in: query
          required: false
          schema:
            type: string
            title: Severity
        - name: status
          in: query
          required: false
          schema:
            type: string
            title: Status
        - name: includeDeviceGroups
          in: query
          required: false
          schema:
            type: boolean
            description: Include device groups in the devices attached to the vulnerability
            default: false
            title: Includedevicegroups
          description: Include device groups in the devices attached to the vulnerability
        - name: includeObservables
          in: query
          required: false
          schema:
            type: boolean
            description: Include observable data in the response
            default: false
            title: Includeobservables
          description: Include observable data in the response
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: >-
                      #/components/schemas/OffsetPaginatedResponse_ScopedEDRAlertRespModel_
                  - $ref: >-
                      #/components/schemas/KeySetPaginatedResponse_ScopedEDRAlertRespModel_
                title: Response List Edr Alerts
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorException'
          description: Internal Server Error
      security:
        - Connection-ID: []
          API-Key: []
components:
  schemas:
    OffsetPaginatedResponse_ScopedEDRAlertRespModel_:
      properties:
        count:
          type: integer
          title: Count
          description: Number of items return in the response
        total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total
          description: Total number of items that can be returned
        items:
          items:
            $ref: '#/components/schemas/ScopedEDRAlertRespModel'
          type: array
          title: Items
          description: List of items returned in the response
      type: object
      required:
        - count
        - items
      title: OffsetPaginatedResponse[ScopedEDRAlertRespModel]
    KeySetPaginatedResponse_ScopedEDRAlertRespModel_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ScopedEDRAlertRespModel'
          type: array
          title: Items
          description: List of items returned in the response
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Skip token to continue from the last item in the previous page
        previous_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Cursor
          description: Skip token to continue from the first item in the previous page
      type: object
      required:
        - items
      title: KeySetPaginatedResponse[ScopedEDRAlertRespModel]
    ErrorResponse:
      properties:
        type:
          type: string
          title: Type
          description: Type of error
        code:
          type: string
          title: Code
          description: Error code
        message:
          type: string
          title: Message
          description: Error message
        detail:
          items:
            type: object
          type: array
          title: Detail
          description: List of error dictionaries
      type: object
      required:
        - type
        - code
        - message
        - detail
      title: ErrorResponse
    ErrorException:
      properties:
        detail:
          type: string
          title: Detail
          description: Error message
      type: object
      required:
        - detail
      title: ErrorException
    ScopedEDRAlertRespModel:
      properties:
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Id
        vendor_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendor Id
          description: Vendor's ID of the alert
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
          description: Title of the alert, provided by the upstream vendor
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description of alert, provided by the upstream vendor
        assigned_user:
          anyOf:
            - type: string
            - type: 'null'
          title: Assigned User
          description: Assigned user
        severity:
          allOf:
            - $ref: '#/components/schemas/ScopedEDRAlertSeverity'
          description: Alert severity
          default: none
        vendor_severity:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendor Severity
          description: Vendor's severity
        status:
          allOf:
            - $ref: '#/components/schemas/ScopedEDRAlertStatus'
          description: Alert status
          default: unknown
        vendor_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendor Status
          description: Vendor's status
        first_event_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Event Time
          description: First event time
        last_event_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Event Time
          description: Last event time
        resolved_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Resolved Time
          description: Resolved time
        vendor:
          allOf:
            - $ref: '#/components/schemas/ScopedEDRAlertVendor'
          description: Source vendor
        verdict:
          allOf:
            - $ref: '#/components/schemas/AlertVerdict'
          description: Analyst verdict
        pid:
          anyOf:
            - type: string
            - type: 'null'
          title: Pid
          description: Process ID
        process_created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Process Created At
          description: Process created at
        process_filename:
          anyOf:
            - type: string
            - type: 'null'
          title: Process Filename
          description: Process filename
        process_command_line:
          anyOf:
            - type: string
            - type: 'null'
          title: Process Command Line
          description: Process command line
        process_filepath:
          anyOf:
            - type: string
            - type: 'null'
          title: Process Filepath
          description: Process filepath
        process_sha1:
          anyOf:
            - type: string
            - type: 'null'
          title: Process Sha1
          description: Process SHA1
        process_sha256:
          anyOf:
            - type: string
            - type: 'null'
          title: Process Sha256
          description: Process SHA256
        process_md5:
          anyOf:
            - type: string
            - type: 'null'
          title: Process Md5
          description: Process MD5
        parent_pid:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Pid
          description: Parent process ID
        user_name:
          anyOf:
            - type: string
            - type: 'null'
          title: User Name
          description: User name
        windows_sid:
          anyOf:
            - type: string
            - type: 'null'
          title: Windows Sid
          description: Windows SID
        active_directory_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Active Directory User Id
          description: Active Directory user ID
        active_directory_domain:
          anyOf:
            - type: string
            - type: 'null'
          title: Active Directory Domain
          description: Active Directory domain
        device:
          anyOf:
            - $ref: '#/components/schemas/DeviceRespModel'
            - $ref: '#/components/schemas/DeviceWithGroupsRespModel'
          title: Device
          description: >-
            Device attached to the alert, include device groups with
            includeDeviceGroups query parameter
        mitre:
          items:
            $ref: '#/components/schemas/ScopedEDRAlertRespModelMitreTactic'
          type: array
          title: Mitre
          description: MITRE Tactics associated with the alert
        observables:
          anyOf:
            - items:
                $ref: '#/components/schemas/OCSFObservable'
              type: array
            - type: 'null'
          title: Observables
          description: Observable data associated with the alert
        vendor_data:
          anyOf:
            - $ref: '#/components/schemas/CrowdStrikeEDRVendorData'
            - $ref: '#/components/schemas/MSDefenderEDRVendorData'
            - $ref: '#/components/schemas/SentinelOneEDRVendorData'
            - type: 'null'
          title: Vendor Data
          description: Vendor specific pass through data, values can vary based on vendor
      type: object
      required:
        - vendor_id
        - title
        - description
        - assigned_user
        - vendor_severity
        - vendor_status
        - first_event_time
        - last_event_time
        - resolved_time
        - vendor
        - verdict
        - pid
        - process_created_at
        - process_filename
        - process_command_line
        - process_filepath
        - process_sha1
        - process_sha256
        - process_md5
        - parent_pid
        - user_name
        - windows_sid
        - active_directory_user_id
        - active_directory_domain
        - device
        - mitre
      title: ScopedEDRAlertRespModel
    ScopedEDRAlertSeverity:
      type: string
      enum:
        - none
        - low
        - medium
        - high
        - critical
        - info
      title: ScopedEDRAlertSeverity
    ScopedEDRAlertStatus:
      type: string
      enum:
        - unknown
        - new
        - in_progress
        - unresolved
        - resolved
      title: ScopedEDRAlertStatus
    ScopedEDRAlertVendor:
      type: string
      enum:
        - crowdstrike
        - ms_defender_endpoint
        - sentinelone
      title: ScopedEDRAlertVendor
    AlertVerdict:
      type: string
      enum:
        - FALSE_POSITIVE
        - TRUE_POSITIVE
        - SUSPICIOUS
        - IGNORED
        - UNKNOWN
      title: AlertVerdict
    DeviceRespModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        status:
          $ref: '#/components/schemas/DeviceStatus'
        platform:
          anyOf:
            - $ref: '#/components/schemas/DevicePlatform'
            - type: 'null'
        hostnames:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Hostnames
        os_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Os Version
        os_major_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Os Major Version
        os_minor_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Os Minor Version
        fqdns:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Fqdns
        ipv4s:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Ipv4S
        ipv6s:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Ipv6S
        mac_addresses:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Mac Addresses
        last_seen:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Seen
        first_seen:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Seen
        source_vendors:
          items:
            $ref: '#/components/schemas/DeviceVendor'
          type: array
          title: Source Vendors
        installed_software:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Installed Software
        ad_info:
          anyOf:
            - $ref: '#/components/schemas/DeviceADInfo'
            - type: 'null'
        cloud_metadata:
          anyOf:
            - $ref: '#/components/schemas/AWSMetadata'
            - type: 'null'
          description: CloudMetadata, currently only AWS is supported
        tags:
          anyOf:
            - items:
                $ref: '#/components/schemas/DeviceTags'
              type: array
            - type: 'null'
          title: Tags
        identities:
          anyOf:
            - items:
                $ref: '#/components/schemas/DeviceIdentity'
              type: array
            - type: 'null'
          title: Identities
        vendor_data:
          anyOf:
            - type: object
            - type: 'null'
          title: Vendor Data
          description: Vendor specific pass through data, values can vary based on vendor
      type: object
      required:
        - id
        - status
        - last_seen
        - first_seen
        - source_vendors
        - installed_software
        - ad_info
      title: Device
    DeviceWithGroupsRespModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        status:
          $ref: '#/components/schemas/DeviceStatus'
        platform:
          anyOf:
            - $ref: '#/components/schemas/DevicePlatform'
            - type: 'null'
        hostnames:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Hostnames
        os_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Os Version
        os_major_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Os Major Version
        os_minor_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Os Minor Version
        fqdns:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Fqdns
        ipv4s:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Ipv4S
        ipv6s:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Ipv6S
        mac_addresses:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Mac Addresses
        last_seen:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Seen
        first_seen:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Seen
        source_vendors:
          items:
            $ref: '#/components/schemas/DeviceVendor'
          type: array
          title: Source Vendors
        installed_software:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Installed Software
        ad_info:
          anyOf:
            - $ref: '#/components/schemas/DeviceADInfo'
            - type: 'null'
        cloud_metadata:
          anyOf:
            - $ref: '#/components/schemas/AWSMetadata'
            - type: 'null'
          description: CloudMetadata, currently only AWS is supported
        tags:
          anyOf:
            - items:
                $ref: '#/components/schemas/DeviceTags'
              type: array
            - type: 'null'
          title: Tags
        identities:
          anyOf:
            - items:
                $ref: '#/components/schemas/DeviceIdentity'
              type: array
            - type: 'null'
          title: Identities
        vendor_data:
          anyOf:
            - type: object
            - type: 'null'
          title: Vendor Data
          description: Vendor specific pass through data, values can vary based on vendor
        device_groups:
          items:
            $ref: '#/components/schemas/DeviceGroupsBase'
          type: array
          title: Device Groups
          description: >-
            Pass in the includeDeviceGroups query parameter to include device
            group information.
          default: []
      type: object
      required:
        - id
        - status
        - last_seen
        - first_seen
        - source_vendors
        - installed_software
        - ad_info
      title: DeviceWithGroups
    ScopedEDRAlertRespModelMitreTactic:
      properties:
        tactic_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Tactic Name
          description: Tactic name
        tactic_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tactic Id
          description: Tactic ID
        tactic_source:
          anyOf:
            - type: string
            - type: 'null'
          title: Tactic Source
          description: Tactic source
        techniques:
          items:
            $ref: '#/components/schemas/ScopedEDRAlertRespModelMitreTacticTechnique'
          type: array
          title: Techniques
          description: Techniques associated with the tactic
      type: object
      required:
        - techniques
      title: ScopedEDRAlertRespModelMitreTactic
    OCSFObservable:
      properties:
        name:
          type: string
          title: Name
          description: The full name of the observable attribute
        type_id:
          allOf:
            - $ref: '#/components/schemas/OCSFObservableTypeID'
          description: The observable value type identifier
        type:
          anyOf:
            - $ref: '#/components/schemas/OCSFObservableType'
            - type: 'null'
          description: The observable data type string representation
        value:
          anyOf:
            - type: string
            - type: 'null'
          title: Value
          description: >-
            The value associated with the observable attribute. The meaning of
            the value depends on the observable type
      type: object
      required:
        - name
        - type_id
      title: OCSFObservable
      description: OCSF Observable object
    CrowdStrikeEDRVendorData:
      properties:
        vendor:
          type: string
          enum:
            - CROWDSTRIKE
          const: CROWDSTRIKE
          title: Vendor
          default: CROWDSTRIKE
        aggregate_id:
          type: string
          title: Aggregate Id
        falcon_host_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Falcon Host Link
      type: object
      required:
        - aggregate_id
      title: CrowdStrikeEDRVendorData
    MSDefenderEDRVendorData:
      properties:
        vendor:
          type: string
          enum:
            - MS_DEFENDER_ENDPOINT
          const: MS_DEFENDER_ENDPOINT
          title: Vendor
          default: MS_DEFENDER_ENDPOINT
        classification:
          anyOf:
            - type: string
            - type: 'null'
          title: Classification
        determination:
          anyOf:
            - type: string
            - type: 'null'
          title: Determination
      type: object
      title: MSDefenderEDRVendorData
    SentinelOneEDRVendorData:
      properties:
        vendor:
          type: string
          enum:
            - SENTINELONE
          const: SENTINELONE
          title: Vendor
          default: SENTINELONE
        analyst_verdict:
          anyOf:
            - type: string
            - type: 'null'
          title: Analyst Verdict
      type: object
      title: SentinelOneEDRVendorData
    DeviceStatus:
      type: string
      enum:
        - active
        - offline
        - quarantined
        - unknown
        - deleted
      title: DeviceStatus
    DevicePlatform:
      type: string
      enum:
        - mac
        - windows
        - linux
        - unknown
      title: DevicePlatform
    DeviceVendor:
      properties:
        vendor:
          type: string
          title: Vendor
        vendor_id:
          type: string
          title: Vendor Id
        agent_info:
          anyOf:
            - $ref: '#/components/schemas/DeviceAgentInfo'
            - type: 'null'
      type: object
      required:
        - vendor
        - vendor_id
      title: DeviceVendor
    DeviceADInfo:
      properties:
        org_unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Org Unit
        site_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Site Name
        domain:
          anyOf:
            - type: string
            - type: 'null'
          title: Domain
        device_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Device Id
      type: object
      title: DeviceADInfo
    AWSMetadata:
      properties:
        cloud_provider:
          allOf:
            - $ref: '#/components/schemas/CloudProvider'
          default: aws
        account_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Id
        region:
          anyOf:
            - type: string
            - type: 'null'
          title: Region
        availability_zone:
          anyOf:
            - type: string
            - type: 'null'
          title: Availability Zone
        instance_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Instance Id
        instance_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Instance Type
        image_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Id
        kernel_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Kernel Id
        vpc_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Vpc Id
        subnet_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Subnet Id
      type: object
      title: AWSMetadata
    DeviceTags:
      properties:
        key:
          type: string
          title: Key
        value:
          type: string
          title: Value
        source:
          $ref: '#/components/schemas/DeviceTagSource'
      type: object
      required:
        - key
        - value
        - source
      title: DeviceTags
    DeviceIdentity:
      properties:
        username:
          type: string
          title: Username
        user_sid:
          anyOf:
            - type: string
            - type: 'null'
          title: User Sid
      type: object
      required:
        - username
      title: DeviceIdentity
    DeviceGroupsBase:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
        vendor_id:
          type: string
          title: Vendor Id
        vendor_created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Vendor Created At
        vendor_data:
          anyOf:
            - type: object
            - type: 'null'
          title: Vendor Data
          description: Vendor specific pass through data, values can vary based on vendor
        vendor:
          type: string
          title: Vendor
      type: object
      required:
        - id
        - name
        - vendor_id
        - vendor
      title: DeviceGroupsBase
    ScopedEDRAlertRespModelMitreTacticTechnique:
      properties:
        technique_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Technique Name
          description: Technique name
        technique_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Technique Id
          description: Technique ID
        technique_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Technique Link
          description: Technique link
      type: object
      title: ScopedEDRAlertRespModelMitreTacticTechnique
    OCSFObservableTypeID:
      type: integer
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 10
        - 11
        - 12
        - 13
        - 14
        - 15
        - 16
        - 17
        - 18
        - 19
        - 20
        - 21
        - 22
        - 23
        - 24
        - 25
        - 26
        - 27
        - 28
        - 29
        - 30
        - 99
      title: OCSFObservableTypeID
      description: Observable Type IDs
    OCSFObservableType:
      type: string
      enum:
        - UNKNOWN
        - HOSTNAME
        - IP_ADDRESS
        - MAC_ADDRESS
        - USER_NAME
        - EMAIL_ADDRESS
        - URL_STRING
        - FILE_NAME
        - HASH
        - PROCESS_NAME
        - RESOURCE_UID
        - PORT
        - SUBNET
        - COMMAND_LINE
        - COUNTRY
        - PROCESS_ID
        - HTTP_USER_AGENT
        - CWE_UID
        - CVE_UID
        - USER_CREDENTIAL_ID
        - ENDPOINT
        - USER
        - EMAIL
        - URL
        - FILE
        - PROCESS
        - GEO_LOCATION
        - CONTAINER
        - REGISTRY_KEY
        - REGISTRY_VALUE
        - FINGERPRINT
        - OTHER
      title: OCSFObservableType
      description: Observable Type values
    DeviceAgentInfo:
      properties:
        agent_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Version
        signature_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Signature Version
        policies:
          anyOf:
            - items:
                type: object
              type: array
            - type: 'null'
          title: Policies
      type: object
      title: DeviceAgentInfo
    CloudProvider:
      type: string
      enum:
        - aws
      const: aws
      title: CloudProvider
    DeviceTagSource:
      type: string
      enum:
        - aws
        - qualys
        - wiz_vms
      title: DeviceTagSource
  securitySchemes:
    Connection-ID:
      type: apiKey
      in: header
      name: X-CONNECTION-ID
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````